apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: octant-deployer
  name: octant-deployer
  namespace: kube-system
spec:
  replicas: 1
  selector:
    matchLabels:
      app: octant-deployer
  template:
    metadata:
      labels:
        app: octant-deployer
    spec:
      containers:
        - command:
            - /octant
            - --listener-addr
            - 0.0.0.0:80
          image: runzhliu/octant-deployer:v1
          imagePullPolicy: Always
          name: octant-deployer
      restartPolicy: Always